{% extends 'base.html.twig' %}

{% block body %}
<nav class="navbar bg-secondary-subtle position-relative">
        <span class="position-absolute top-50 start-0 translate-middle-y"><a href="{{path('app_home')}}" class="me-3 ms-3"><button class="btn btn-outline-secondary btn-lg">Home</button></a></span>
    <div class="container">
        <span>Add new task to the {{todolist.name}}</span>
        {{ form_start(form) }}
            <div class="d-flex">
                {{ form_widget(form) }}
                <button class="btn btn-outline-secondary ms-3" type="submit">Add</button>
            </div>
        {{ form_end(form) }}
    </div>
</nav>
<main>
    <div class="container-md p-2">
        <ul class="list-group list-group-flush">
            {% for task in tasks %}
                <li class="list-group-item">
                    <input class="form-check-input me-3" role="button" type="checkbox" id="{{task.id}}">
                    <span>{{task.description}}</span>
                </li>
            {% endfor %}
        </ul>
    </div>
</main>
{% block javascripts %}
    {{ parent() }}
    <script>
        $('.form-check-input').click(function(element){
            let task_id = element.currentTarget.id;

            $.ajax({
                url: '{{path('app_task_remove')}}',
                type: 'post',
                data: {'id': task_id},
                async: true,
                context: this,
                success: function(){
                    $(element.currentTarget).parent().addClass('text-decoration-line-through');
                    $(element.currentTarget).attr('disabled', true);
                }
            })
        })
    </script>
{% endblock %}
{% endblock %}
